-- MySQL dump 10.11
--
-- Host: localhost    Database: sosigwcentrallog
-- ------------------------------------------------------
-- Server version       5.0.45

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `sosigwcentrallog`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sosigwcentrallog` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `sosigwcentrallog`;

--
-- Table structure for table `clientip`
--

DROP TABLE IF EXISTS `XXXXXclientip`;
CREATE TABLE `XXXXXclientip` (
  `pk` bigint(20) NOT NULL auto_increment,
  `clientip` varchar(40) NOT NULL,
  PRIMARY KEY  (`pk`),
  KEY `XXXXXclientip_idx` (`clientip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `XXXXXclientip`
--

LOCK TABLES `XXXXXclientip` WRITE;
/*!40000 ALTER TABLE `XXXXXclientip` DISABLE KEYS */;
/*!40000 ALTER TABLE `XXXXXclientip` ENABLE KEYS */;
UNLOCK TABLES;

--      
-- Table structure for table `XXXXXoperation`
--

DROP TABLE IF EXISTS `XXXXXoperation`;
CREATE TABLE `XXXXXoperation` (
  `pk` bigint(20) NOT NULL auto_increment,
  `operation` varchar(32) NOT NULL,
  PRIMARY KEY  (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `XXXXXoperation`
--

LOCK TABLES `XXXXXoperation` WRITE;
/*!40000 ALTER TABLE `XXXXXoperation` DISABLE KEYS */;
/*!40000 ALTER TABLE `XXXXXoperation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `XXXXXsosigwcentrallog`
--

DROP TABLE IF EXISTS `XXXXXsosigwcentrallog`;
CREATE TABLE `XXXXXsosigwcentrallog` (
  `pk` bigint(20) NOT NULL auto_increment,
  `systemid` int(11) NOT NULL,
  `operation` int(11) NOT NULL,
  `cpr` varchar(10) NOT NULL,
  `moment` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `wsa` int(11) default NULL,
  `clientip` int(11) default NULL,
  `createdTime` timestamp NOT NULL default '0000-00-00 00:00:00',
  `createdByHost` varchar(64) NOT NULL,
  `createdByApplication` varchar(36) NOT NULL,
  PRIMARY KEY  (`pk`),
  KEY `XXXXXmoment_idx` (`moment`),
  KEY `XXXXXcpr_moment_idx` (`cpr`,`moment`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `XXXXXsosigwcentrallog`
--

LOCK TABLES `XXXXXsosigwcentrallog` WRITE;
/*!40000 ALTER TABLE `XXXXXsosigwcentrallog` DISABLE KEYS */;
/*!40000 ALTER TABLE `XXXXXsosigwcentrallog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `XXXXXsystemid`
--

DROP TABLE IF EXISTS `XXXXXsystemid`;
CREATE TABLE `XXXXXsystemid` (
  `pk` bigint(20) NOT NULL auto_increment,
  `systemid` varchar(64) NOT NULL,
  PRIMARY KEY  (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `XXXXXsystemid`
--

LOCK TABLES `XXXXXsystemid` WRITE;
/*!40000 ALTER TABLE `XXXXXsystemid` DISABLE KEYS */;
/*!40000 ALTER TABLE `XXXXXsystemid` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `XXXXXwsa`
--

DROP TABLE IF EXISTS `XXXXXwsa`;
CREATE TABLE `XXXXXwsa` (
  `pk` bigint(20) NOT NULL auto_increment,
  `wsato` varchar(512) default NULL,
  `wsaaction` varchar(512) default NULL,
  PRIMARY KEY  (`pk`),
  KEY `XXXXXwsa_idx` (`wsato`(255))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `XXXXXwsa`
--

LOCK TABLES `XXXXXwsa` WRITE;
/*!40000 ALTER TABLE `XXXXXwsa` DISABLE KEYS */;
/*!40000 ALTER TABLE `XXXXXwsa` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-01-22  0:10:27
