-- MySQL dump 10.11
--
-- Host: localhost    Database: sosigwgloballog
-- ------------------------------------------------------
-- Server version       5.0.45

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `sosigwgloballog`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sosigwgloballog` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `sosigwgloballog`;

--
-- Table structure for table `clientip`
--

DROP TABLE IF EXISTS `clientip`;
CREATE TABLE `clientip` (
  `pk` bigint(20) NOT NULL auto_increment,
  `clientip` varchar(40) NOT NULL,
  PRIMARY KEY  (`pk`),
  KEY `clientip_idx` (`clientip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `clientip`
--

LOCK TABLES `clientip` WRITE;
/*!40000 ALTER TABLE `clientip` DISABLE KEYS */;
/*!40000 ALTER TABLE `clientip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `operation`
--

DROP TABLE IF EXISTS `operation`;
CREATE TABLE `operation` (
  `pk` bigint(20) NOT NULL auto_increment,
  `operation` varchar(32) NOT NULL,
  PRIMARY KEY  (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `operation`
--

LOCK TABLES `operation` WRITE;
/*!40000 ALTER TABLE `operation` DISABLE KEYS */;
/*!40000 ALTER TABLE `operation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sosigwgloballog`
--

DROP TABLE IF EXISTS `sosigwgloballog`;
CREATE TABLE `sosigwgloballog` (
  `pk` bigint(20) NOT NULL auto_increment,
  `systemid` int(11) NOT NULL,
  `operation` int(11) NOT NULL,
  `cpr` varchar(10) NOT NULL,
  `moment` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `wsa` int(11) default NULL,
  `clientip` int(11) default NULL,
  PRIMARY KEY  (`pk`),
  KEY `moment_idx` (`moment`),
  KEY `cpr_moment_idx` (`cpr`,`moment`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `sosigwgloballog`
--

LOCK TABLES `sosigwgloballog` WRITE;
/*!40000 ALTER TABLE `sosigwgloballog` DISABLE KEYS */;
/*!40000 ALTER TABLE `sosigwgloballog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `systemid`
--

DROP TABLE IF EXISTS `systemid`;
CREATE TABLE `systemid` (
  `pk` bigint(20) NOT NULL auto_increment,
  `systemid` varchar(64) NOT NULL,
  PRIMARY KEY  (`pk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `systemid`
--

LOCK TABLES `systemid` WRITE;
/*!40000 ALTER TABLE `systemid` DISABLE KEYS */;
/*!40000 ALTER TABLE `systemid` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wsa`
--

DROP TABLE IF EXISTS `wsa`;
CREATE TABLE `wsa` (
  `pk` bigint(20) NOT NULL auto_increment,
  `wsato` varchar(512) default NULL,
  `wsaaction` varchar(512) default NULL,
  PRIMARY KEY  (`pk`),
  KEY `wsa_idx` (`wsato`(255))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `wsa`
--

LOCK TABLES `wsa` WRITE;
/*!40000 ALTER TABLE `wsa` DISABLE KEYS */;
/*!40000 ALTER TABLE `wsa` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-01-22  0:10:27
