-- MySQL dump 10.11
--
-- Host: localhost    Database: sosigwlog
-- ------------------------------------------------------
-- Server version       5.0.45

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `sosigwlog`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sosigwlog` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `sosigwlog`;

--
-- Table structure for table `RUNTIMECONFIG`
--

DROP TABLE IF EXISTS `RUNTIMECONFIG`;
CREATE TABLE `RUNTIMECONFIG` (
  `configpk` bigint(20) NOT NULL auto_increment,
  `moment` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`configpk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `RUNTIMECONFIG`
--

LOCK TABLES `RUNTIMECONFIG` WRITE;
/*!40000 ALTER TABLE `RUNTIMECONFIG` DISABLE KEYS */;
/*!40000 ALTER TABLE `RUNTIMECONFIG` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `RUNTIMECONFIG_DATA`
--

DROP TABLE IF EXISTS `RUNTIMECONFIG_DATA`;
CREATE TABLE `RUNTIMECONFIG_DATA` (
  `datapk` bigint(20) NOT NULL auto_increment,
  `elmpk` bigint(20) NOT NULL,
  `idx` int(11) NOT NULL,
  `value` varchar(1000) default NULL,
  PRIMARY KEY  (`datapk`),
  KEY `elmpk_idx` (`elmpk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `RUNTIMECONFIG_DATA`
--

LOCK TABLES `RUNTIMECONFIG_DATA` WRITE;
/*!40000 ALTER TABLE `RUNTIMECONFIG_DATA` DISABLE KEYS */;
/*!40000 ALTER TABLE `RUNTIMECONFIG_DATA` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `RUNTIMECONFIG_ELM`
--

DROP TABLE IF EXISTS `RUNTIMECONFIG_ELM`;
CREATE TABLE `RUNTIMECONFIG_ELM` (
  `elmpk` bigint(20) NOT NULL auto_increment,
  `configpk` bigint(20) NOT NULL,
  `category` varchar(64) NOT NULL,
  `elmkey` varchar(64) NOT NULL,
  `valuecount` int(11) NOT NULL,
  PRIMARY KEY  (`elmpk`),
  KEY `configpk_idx` (`configpk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `RUNTIMECONFIG_ELM`
--

LOCK TABLES `RUNTIMECONFIG_ELM` WRITE;
/*!40000 ALTER TABLE `RUNTIMECONFIG_ELM` DISABLE KEYS */;
/*!40000 ALTER TABLE `RUNTIMECONFIG_ELM` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SOSIGWLOG`
--

DROP TABLE IF EXISTS `SOSIGWLOG`;
CREATE TABLE `SOSIGWLOG` (
  `lpk` bigint(20) NOT NULL auto_increment,
  `systemid` varchar(64) NOT NULL,
  `operation` varchar(32) NOT NULL,
  `cpr` varchar(10) NOT NULL,
  `moment` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `wsato` varchar(512) default NULL,
  `wsaaction` varchar(512) default NULL,
  `clientip` varchar(40) default NULL,
  PRIMARY KEY  (`lpk`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SOSIGWLOG`
--

LOCK TABLES `SOSIGWLOG` WRITE;
/*!40000 ALTER TABLE `SOSIGWLOG` DISABLE KEYS */;
/*!40000 ALTER TABLE `SOSIGWLOG` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-01-22  0:26:12
