set JVM_ARGS=-Djava.endorsed.dirs=lib/junit/endorsed

REM Presumes that there is a jmeter server running on remote_hosts
REM Remember that the test runs once on each slave, so two slaves = double load of that indicated in testscript!

goto :ENDUR


:SINGLE
set remote_hosts=sosigw06,sosigw05
set gw=sosigw02
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=1  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-2.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=2  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-4.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=3  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-6.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=4  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-8.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=5  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-10.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=8  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-16.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=10 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-20.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=15 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-30.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=20 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-40.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=25 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-50.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=30 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-60.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=35 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-70.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=40 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-80.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=45 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-90.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=50 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-100.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=55 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-110.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=60 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-120.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=65 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-130.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=70 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-140.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=75 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-150.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=80 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-single-160.jtl

:DUAL
set remote_hosts=sosigw06,sosigw05
set gw=sosigw02;sosigw04
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=5  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-10.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=10 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-20.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=15 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-30.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=20 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-40.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=25 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-50.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=30 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-60.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=35 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-70.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=40 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-80.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=45 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-90.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=50 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-100.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=55 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-110.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=60 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-120.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=65 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-130.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=70 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-140.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=75 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-150.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=80 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-160.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=85 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-170.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=90 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-180.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=95 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-190.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=100 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-200.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=110 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-220.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=120 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-240.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=130 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-260.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=140 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-280.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=150 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-300.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=160 -GWARMUP=40 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-dual-320.jtl

:STRESS
set remote_hosts=sosigw06,sosigw05
set gw=sosigw02;sosigw04
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=200 -GWARMUP=120 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-400.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=5  -GWARMUP=10 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-10.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=10 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-20.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=15 -GWARMUP=20 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-30.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=20 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-40.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=25 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-50.jtl
call .\bin\jmeter.bat -n -R %remote_hosts% -GTHRCOUNT=30 -GWARMUP=30 -GGW=%gw% -t scripted-scale.jmx -l scripted-scale-stress-60.jtl
goto :DONE


:ENDUR
call .\bin\jmeter.bat -n -t endurance-test-trifork-low.jmx -l endurance-test-trifork-low.jtl
goto :DONE


:DONE
echo "D O N E"
