#!/bin/bash

keytool -export -alias sosi:alias_system -keystore validMocesVault.jks -file exported-der.crt -storepass Test1234

openssl x509 -out exported-pem.crt -outform pem -in exported-der.crt -inform der

java -cp . ExportPriv validMocesVault.jks sosi:alias_system Test1234 > exported-pkcs8.key

openssl pkcs8 -inform PEM -nocrypt -in exported-pkcs8.key -out exported.key

openssl pkcs12 -export -out exported.pfx -inkey exported.key -in exported-pem.crt -password pass:Test1234
