/*
* The MIT License
*
* Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
*
* Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
*
* Permission is hereby granted, free of charge, to any person obtaining a copy of
* this software and associated documentation files (the "Software"), to deal in
* the Software without restriction, including without limitation the rights to
* use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
* of the Software, and to permit persons to whom the Software is furnished to do
* so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in all
* copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
* SOFTWARE.
*
* $HeadURL$
* $Id$
*/
package com.trifork.sosigw.console.client;

import com.google.gwt.user.client.ui.Tree;
import com.trifork.sosigw.console.service.ConsoleFacadeAsync;

/**
 * 
 * 
 * @author Jeppe Sommer <jso at trifork.com>
 * @author Morten Grouleff <mgr at trifork.com>
 */
///CLOVER:OFF
public class Context {
    private ConsoleFacadeAsync consoleService;
    private Tree navTree;
    private TabbedEditor tabbedEditor;
    private String domainName;
    private String serverName;

    public void setConsoleService(ConsoleFacadeAsync consoleService) {
        this.consoleService = consoleService;
    }
    
    public ConsoleFacadeAsync getConsoleService() {
        return consoleService;
    }
    
    public void setNavTree(Tree navTree) {
        this.navTree = navTree;
    }
    
    public Tree getNavTree() {
        return navTree;
    }

    public void setTabbedEditor(TabbedEditor tabbedEditor) {
        this.tabbedEditor = tabbedEditor;
    }
    
    public TabbedEditor getTabbedEditor() {
        return tabbedEditor;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }
    
    public String getDomainName() {
        return domainName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }
    
    public String getServerName() {
        return serverName;
    }
}
