<%@ page import="java.util.Random" %>
<%@ page import="com.trifork.sosigw.config.RuntimeConfig" %>
<%@ page import="com.trifork.sosigw.config.StaticConfigImpl" %>
<%@ page import="java.net.URLEncoder" %>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
    String id = URLEncoder.encode(request.getParameter("ID"), "UTF-8");
    String ck = URLEncoder.encode(request.getParameter("CK"), "UTF-8");
    String purpose = request.getParameter("PURPOSE");
    String base64encodeddigest = (String)request.getAttribute("digest.to.sign");
    String base64encodedusertext = (String)request.getAttribute("text.for.user");
    String cr = request.getContextPath();
    if (cr == null) { 
        cr = "";
    } 
    String basedir = cr + "/opensign";
    String codebase = basedir;
    String servlet = cr + "/browsersign/invoke";
    String codeValue = "org.openoces.opensign.client.applet.bootstrap.BootApplet";
    String archive = basedir + "/OpenSign-bootstrapped.jar";
    if (StaticConfigImpl.getInstance().isDeveloperRestrictedMode()) {
        archive += "?rnd=" + new Random().nextInt(); // to defeat browser caching
    }
    
    int applet_width = 600;
    int applet_height = 400;
    
%>

<html>
<head>
    <title>Underskriv ID-kort</title>
    <link rel="stylesheet" href="<%= request.getContextPath() %>/css/styles.css" type="text/css" />
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
</head>

<body>
<h1>Underskriv ID-kort</h1>

<applet name="signing_applet" code="<%=codeValue%>" width="<%=applet_width%>" height="<%=applet_height%>" codebase="<%=codebase%>" archive="<%=archive%>" mayscript>
    <param name="opensign.doappletrequest" value="true">
    <param name="ZIP_FILE_ALIAS" value="OpenSign">
    <param name="ZIP_BASE_URL" value="<%=basedir%>/plugins">
    <param name="MS_SUPPORT" value="bcjce">
    <param name="SUN_SUPPORT" value="jsse">
    <param name="STRIP_ZIP" value="yes">
    <param name="EXTRA_ZIP_FILE_NAMES" value="capi,pkcs12,cdcard,oces">
    <param name="LOG_LEVEL" value="DEBUG">
    <param name="loglevel" value="Full">
    <param name="cabbase" value="<%=basedir%>/OpenSign-bootstrapped.cab">
    <param name="key.store.directory" value="null">
    <param name="signtext" value="<%=base64encodedusertext%>">
    <param name="premadesignedinfo" value="<%=base64encodeddigest%>">
    <param name="socialsecuritynumber" value="<%=id%>">
    <param name="optionalid" value="<%=ck%>">
    <param name="opensign.canceluri" value="<%=servlet%>?result=cancel">
    <param name="opensign.verifieruri" value="<%=servlet%>?result=verify&ID=<%=id%>&CK=<%=ck%>">
    <param name="opensign.verifiederroruri" value="<%=servlet%>?result=verifyerror&ID=<%=id%>&CK=<%=ck%>">
    <param name="opensign.verifiedokuri" value="<%=servlet%>?result=signed&ID=<%=id%>&CK=<%=ck%>">
    <param name="opensign.message.name" value="message">
    <param name="opensign.result.name" value="result">
    <param name="gui" value="modern">
</applet>
  
<script language="JavaScript">
    function onSignOK(signature) {
        document.signedForm.message.value=signature;
        document.signedForm.result.value='ok';
        document.signedForm.submit();
    }
    function onSignCancel() {
        document.signedForm.result.value='cancel';
        document.signedForm.submit();
    }
    function onSignError(msg) {
        document.signedForm.result.value=msg;
        document.signedForm.submit();
    }
</script>

<form name="signedForm" method="post" action="<%=servlet%>">
    <input type="hidden" name="ID" value="<%=id%>">
    <input type="hidden" name="CK" value="<%=ck%>">
    <input type="hidden" name="PURPOSE" value="<%=purpose%>">
    <input type="hidden" name="message">
    <input type="hidden" name="result">
</form>

</body>
</html>
